<!DOCTYPE html SYSTEM "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>SPADE Chart</title>
        <meta
            content="width=device-width, initial-scale=1"
            name="viewport" />
        <style media="screen" type="text/css">
            #blank_plot{
                background:black;
                -moz-border-radius:16px;
                -webkit-border-radius:16px;
                border-radius:16px;
                height:384px;
            }
            #title_div{
                margin-right:auto;
                margin-left:auto;
                position:relative;
                top:10px;
                font-family:"Lucida Grande", 
            "Lucida Sans Unicode", 
            Verdana, 
            Arial, 
            Helvetica, 
            sans-serif;
                text-align:center;
            }
            #dummy_title{
                color:#FFF;
                font-size:16px;
                display:block;
            }
            #dummy_subtitle{
                color:#DDD;
                font-size:12px;
                display:block;
            }</style>
    </head>
    <body>
        <div
            id="container"
            style="width: 100%;height:400px">
            <div
                id="blank_plot">
                <div
                    id="title_div">
                    <span
                        id="dummy_title">Spade quantity</span>
                    <span
                        id="dummy_subtitle">Loading
                        .&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
                </div>
            </div>
        </div>
        <script type="text/javascript">
// Variable used to enable local file testing.
var localTest = ("file:" == window.location.protocol);

// Associative array in which the URL's query parameters are stored.
var query_map = null;

// Function to fill query's associative array.
function parseQuery() {
    if (null != query_map) {
        return query_map;
    }
    var query_string = window.location.search.substring(1, window.location.search.length)
    var queries = query_string.split("&");
    query_map = new Array()
    for (index in queries) {
        var query_item = queries[index].split("=");
        query_map[query_item[0]] = unescape(query_item[1]);
    }
    if (null == query_map['instance']) {
        query_map['instance'] = 'local';
    }
    if (null == query_map['interval']) {
        query_map['interval'] = 31;
    }
    if (null == query_map['quantity']) {
        query_map['quantity'] = 'placements';
    }
    if (null == query_map['mode']) {
        query_map['mode'] = 'daily';
    }
    return query_map;
 }

// Function to update loading progress.
function update_progress() {
    progress = document.getElementById('dummy_subtitle');
    if (null == progress) {
        clearInterval(loading_interval);
        return;
    }
    dots = progress.innerHTML;
    if (-1 == dots.indexOf("&nbsp;")) {
        dots=dots.replace(/\./g,'&nbsp;');
    }
    dots=dots.replace(/&nbsp;/,'.');
    progress.innerHTML=dots;
}
document.getElementById('dummy_title').innerHTML = 'Spade ' + parseQuery()['quantity'];
var loading_title = document.getElementById('dummy_title').innerHTML;
var loading_subtitle = document.getElementById('dummy_subtitle').innerHTML;
var loading_interval=setInterval(update_progress, 1000);

// Load JavaScript files in sequence.
var scriptLoader = {
    _loadScript: function (url, callback) {
        var head = document.getElementsByTagName('head')[0];
        var script = document.createElement('script');
        script.type = 'text/javascript';
        script.src = url;
        if (callback) {
            script.onreadystatechange = function () {
                if (this.readyState == 'loaded') callback();
            }
            script.onload = callback;
        }
        head.appendChild(script);
    },
 
    load: function (items, iteration) {
        if (!iteration) iteration = 0;
        if (items[iteration]) {
            scriptLoader._loadScript(
                items[iteration],
                function () {
                    scriptLoader.load(items, iteration+1);
                }
            )
        }
    }
}
function downloadJSAtOnload() {
   if ('daily' == parseQuery()['mode']) {
       highchart_script = '../code.highcharts.com/stock/1.2.5/highstock.js';
   } else {
       highchart_script = '../code.highcharts.com/2.3/highcharts.js'
   }
   scriptLoader.load(['../code.jquery.com/jquery-2.1.4.min.js',
                      highchart_script,
                      '../code.highcharts.com/2.3/themes/gray.js',
                      '../scripts/date_manipulation.js',                                                                                                             
                      '../scripts/' + parseQuery()['mode'] + '.js']);
}

// Check for browser support of event handling capability
if (window.addEventListener) {
    window.addEventListener("load", downloadJSAtOnload, false);
} else if (window.attachEvent) {
    window.attachEvent("onload", downloadJSAtOnload);
}else {
    window.onload = downloadJSAtOnload;
}
</script>
    </body>
</html>
